Page MenuHomePhabricator

Enable Flow as a Beta feature on French Wikisource
Closed, ResolvedPublic

Description

Per this community consensus.

There is also a consensus to deploy Flow on a centralized help desk. I'm waiting for the page title to activate it by myself.

Event Timeline

Change 284020 had a related patch set uploaded (by Catrope):
Enable Flow opt-in beta feature on frwikisource

https://gerrit.wikimedia.org/r/284020

Change 284021 had a related patch set uploaded (by Catrope):
Add frwikisource to flow_beta wiki list

https://gerrit.wikimedia.org/r/284021

Change 284021 merged by jenkins-bot:
Add frwikisource to flow_beta wiki list

https://gerrit.wikimedia.org/r/284021

Scheduled for Monday April 25 at 23:00 UTC.

(There are no scheduled deployments this week because of the data center switch-over.)

Announcements will be done tomorrow. Thanks!

Change 284020 merged by jenkins-bot:
Enable Flow opt-in beta feature on frwikisource

https://gerrit.wikimedia.org/r/284020

Mentioned in SAL [2016-04-25T16:15:49Z] <jzerebecki@tin> Synchronized wmf-config/InitialiseSettings.php: config 1f8fea8e53b2e95caf0f559e0ad6e2cb1d51c967 T132914 : Enable Flow opt-in beta feature on frwikisource (duration: 00m 28s)

Mentioned in SAL [2016-04-25T16:24:56Z] <jzerebecki> T132914: @tin:/srv/mediawiki-staging (master %=)$ mwscript extensions/Flow/maintenance/FlowUpdateBetaFeaturePreference.php frwikisource

Qgil awarded a token.Apr 25 2016, 6:56 PM

@Mattflaschen A user with some pages already archived has a problem: these sub-pages has not been moved by Flow talk page manager.

Discussion_utilisateur:Yann/archives_2014 should have been moved to Discussion_utilisateur:Yann/Archive_1/archives_2014 and it was not the case. He has to move these pages manually.

https://fr.wikisource.org/w/index.php?title=Discussion_utilisateur:Yann/Archive_1&action=history

@Mattflaschen A user with some pages already archived has a problem: these sub-pages has not been moved by Flow talk page manager.

Yeah, it doesn't do this, and I'm not sure doing so as a general rule would be desired behavior.

Discussion_utilisateur:Yann/archives_2014 should have been moved to Discussion_utilisateur:Yann/Archive_1/archives_2014 and it was not the case. He has to move these pages manually.

He doesn't have to move them, and did not. It looks like https://fr.wikisource.org/w/index.php?title=Discussion_utilisateur:Yann/Archive_1&diff=5831298&oldid=5831289 was enough to solve the problem (the links from the main talk page still work).

In T132914#2244718, @Mattflaschen wrote:

@Mattflaschen A user with some pages already archived has a problem: these sub-pages has not been moved by Flow talk page manager.

Yeah, it doesn't do this, and I'm not sure doing so as a general rule would be desired behavior.

T133835: On Beta, Flow talk page manager does not move pre-existing sub-pages of archives to keep track.

Discussion_utilisateur:Yann/archives_2014 should have been moved to Discussion_utilisateur:Yann/Archive_1/archives_2014 and it was not the case. He has to move these pages manually.

He doesn't have to move them, and did not. It looks like https://fr.wikisource.org/w/index.php?title=Discussion_utilisateur:Yann/Archive_1&diff=5831298&oldid=5831289 was enough to solve the problem (the links from the main talk page still work).

Yes, my bad. I didn't checked, just trusted him.

Trizek-WMF closed this task as Resolved.Apr 28 2016, 8:11 AM